export default {
  headers() {
    return [
      { text: "Description", value: "data-table-expand" },
      {
        text: "Product Name",
        align: "left",
        value: "productName",
        type: "text",
      },
      { text: "Type", value: "type", type: "text" },
      { text: "Product Material", value: "productMaterial", type: "text" },
      { text: "Department", value: "department", type: "text" },
      { text: "Color", value: "color", type: "text" },
      { text: "Price", value: "price", type: "text" },
      { text: "Image", value: "image", type: "text" },
      { text: "Actions", value: "actions", sortable: false },
    ];
  },
  dialogHeaders() {
    return [
      { text: "All Data", value: "all", type: "text" },
      {
        text: "Product Name",
        align: "left",
        value: "productName",
        type: "text",
      },
      { text: "Type", value: "type", type: "text" },
      { text: "Product Material", value: "productMaterial", type: "text" },
      { text: "Department", value: "department", type: "text" },
      { text: "Color", value: "color", type: "text" },
      { text: "Price", value: "price", type: "text" },
      { text: "Image", value: "image", type: "text" },
      { text: "Product Description", value: "productDescription" },
    ];
  },
  productList(state) {
    return state.productList;
  },
  singleExpand(state) {
    return state.singleExpand;
  },
  expanded(state) {
    return state.expanded;
  },
  editedIndex(state) {
    return state.editedIndex;
  },
  editedItem(state) {
    return state.editedItem;
  },
  dialog(state) {
    return state.dialog;
  },
  loading(state) {
    return state.loading;
  },
  filteredProductList(state) {
    return state.filteredProductList;
  },
};
